{% assign shopilax_collection_slug = 'straps' %}
{% assign shopilax_view = 'list' %}

{% if shopilax_collection_slug != '' %}
	
	{% assign total_products = collections[shopilax_collection_slug].products.size %}
	
	{% if total_products > 0 %}
	<div style="clear:all;">
		<div class="section-header">
			<h1 class="section-header__title">Oferta Exclusiva</h1>
		</div>
		<div class="product-grid">
		{% if shopilax_view == 'random' %}
			
			{% for product in collections[shopilax_collection_slug].products offset:0 limit:total_products %}
				<div class="shopilax_product_item" style="display:none;">
				{% include 'product-loop' %}
				</div>
			{% endfor %}
			
			<script>
			$(function() {
				var shopilax_total_products = parseInt({{total_products}});
				var shopilax_rand = Math.floor((Math.random() * shopilax_total_products) + 1);
				$(".shopilax_product_item:eq("+(shopilax_rand-1)+")").show();
			});
			</script>
		
		{% else %}
		
			{% for product in collections[shopilax_collection_slug].products %}
				{% include 'product-loop' %}
			{% endfor %}
			
		{% endif %}
		</div>
	</div>
	{% endif %}
{% endif %}